<?

session_start();

header( 'Content-type: text/html; charset=windows-1251' );

define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );

if ( $_SERVER['HTTP_X_REQUESTED_WITH'] != 'XMLHttpRequest' ) { exit(); }

if ( !isset( $_SESSION['iduser'] ) ) exit();

include_once ROOT_DIR . '/engine/config.php';
include_once ROOT_DIR . '/engine/function.php';

$id = ( int ) $_GET['id'];

$existence_check_ref = mysql_query( "SELECT * FROM user WHERE id = '".$id."' AND referer = '".$_SESSION['iduser']."' LIMIT 1" );
$existence_check_ref_row = mysql_fetch_array( $existence_check_ref );

$button_send_write = 0;

?>
  <div class="modal fade bd-example-modal-lg" id="modalf">
	  <div class="modal-dialog " role="document">
		<div class="modal-content" style="width: 500px; margin-left: 49px;">
		  <div class="modal-header">
			<button type="button" class="close" data-dismiss="modal" aria-label="Close">
			  <span aria-hidden="true">&times;</span>
			</button>
			<h4 class="modal-title">Продать реферала <?=$existence_check_ref_row['username']?> на ярмарке</h4>
		  </div>
		  <div class="modal-body"><!--Содержимое модального окна начало-->
		  <? 
		    if ( $existence_check_ref_row['id'] < 1 )  {
				echo '<div class="alert alert-danger" role="alert">
				  <i class="fa fa-exclamation-triangle" aria-hidden="true"></i> <strong>Ошибка!</strong> Реферал не найден или принадлежит не вам!
				</div>';
			} else {
		      if($config['referer_min_rating'] > $config_user['reyting']) {
				echo '<div class="alert alert-warning" role="alert">
				  <i class="fa fa-exclamation-triangle" aria-hidden="true"></i> <strong>Внимание!</strong> Вы не можете продавать своих рефералов на ярмарке, так как у вас не набран минимальный для этого рейтинг '.$config['referer_min_rating'].'<br>Узнать за что начисляется рейтинг вы можете в разделе карьера.
				</div>';  
			  } else
		      if($config['referal_min_clix'] > $existence_check_ref_row['serf_view'] OR $config['referal_min_rating'] > $existence_check_ref_row['reyting']) {
				echo '<div class="alert alert-warning" role="alert">
				  <i class="fa fa-exclamation-triangle" aria-hidden="true"></i> <strong>Внимание!</strong> Ваш реферал не готов еще к продаже, для этого он должен сделать минимум '.$config['referal_min_clix'].' кликов и набрать минимум '.$config['referal_min_rating'].' рейтинга!
				</div>';  
			  } else
		      if($existence_check_ref_row['price'] > 0) {
				$button_send_write = 1;
				?>
				  <div class="form-group">
					<label for="message-text" class="form-control-label" style="">
					  Ваш реферал уже продается на ярмарке, по цене <?=$existence_check_ref_row['price']?> <?=$config['valutaname']?> Вы можете отозвать реферала с продажи нажав кнопку ниже.
					</label>
				  </div>
				  <div class="error_modal_mini" > </div>
				  <p style="display: none;" id="success_text_del"><span class="glyphicon glyphicon-info-sign"></span> Реферал <?=$existence_check_ref_row['username']?> снят с продажи! &hellip;</p>
				<?
			  } else {
			    $button_send_write = 2;
				?>
				  <div class="form-group">
					<label for="message-text" class="form-control-label" style="">
					  Минимальная цена составляет <?=$config['price_min_fair'] ?> <?=$config['valutaname']?> максимальная  <?=$config['price_max_fair'] ?> <?=$config['valutaname']?>
					</label>
					</br></br>
					<div class="div_centralizator">
					  </br>
					  <input type="text" class="form-control" id="summ" placeholder="Введите цену" style="width: 100px; text-align: center; height: 14px;">
					  </br>
					</div>
				  </div>
				  <div class="error_modal_mini" > </div>
				  <p style="display: none;" id="success_text"><span class="glyphicon glyphicon-info-sign"></span> Поздравляем, реферал <?=$existence_check_ref_row['username']?> успешно выставлен на &nbsp;&nbsp;&nbsp;&nbsp;продажу! &hellip;</p>
			    <?
			  }
		    }
			?>
		  </div><!--Содержимое модального окна конец-->
		  <div class="modal-footer">
			<button type="button" class="btn btn-secondary" data-dismiss="modal">Закрыть</button>
			<? if( $existence_check_ref_row['price'] > 0 AND $button_send_write == 1) { ?>
			  <button type="button" class="btn btn-primary" id="send_walls_gift" onclick="dellFair();">Отозвать</button>
			<? } else 
			if( $button_send_write == 2 ) { ?>
			  <button type="button" class="btn btn-primary" id="send_walls_gift" onclick="addFair();">Выставить на продажу</button>
		    <? } ?>
		  </div>
		</div>
	  </div>
  </div>
  
  <script type="text/javascript">
	$(document).ready(function(){
		var options = {
			show : true
		}
		$('#modalf').modal(options);
	});

	function addFair() {
		$.post('ajax.php?func=addFair',{
			id : <?=$id?>,
		    priceFair : $('#summ').val()
		}, function(data){
			if (data == 1){
				$(".form-group").fadeOut(300);
				$("#send_walls_gift").fadeOut(300);
				$("#success_text").fadeIn(800);
			} else {
				$('.error_modal_mini').fadeIn().html(data);
				setTimeout(function() {
					$('.error_modal_mini').fadeOut().html('&nbsp;');
				}, 4000);
			}
		});
		return false;
	}

	function dellFair() {
		$.post('ajax.php?func=dellFair',{
			id : <?=$id?>
		}, function(data){
			if (data == 1){
				$(".form-group").fadeOut(300);
				$("#send_walls_gift").fadeOut(300);
				$("#success_text_del").fadeIn(800);
			} else {
				$('.error_modal_mini').fadeIn().html(data);
				setTimeout(function() {
					$('.error_modal_mini').fadeOut().html('&nbsp;');
				}, 4000);
			}
		});
		return false;
	}

  </script>